/* Created by Anjuta version 1.2.4a */
/*	This file will not be overwritten */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>
#include <glib/gi18n.h>
#include <glade/glade.h>

#include "callbacks.h"

#define PACKAGE_GLADE_DIR PACKAGE_DATA_DIR"/"PACKAGE"/glade"
//#define PACKAGE_GLADE_DIR PACKAGE_SOURCE_DIR
int
main (int argc, char *argv[])
{
  GtkWidget *MainWindow, *ThemeList;


#ifdef ENABLE_NLS
  bindtextdomain (GETTEXT_PACKAGE, PACKAGE_LOCALE_DIR);
  textdomain (PACKAGE);
#endif

  gtk_init (&argc, &argv);
  glade_init ();

  /*
   * The .glade filename should be on the next line.
   */
  xml = glade_xml_new (PACKAGE_GLADE_DIR "/gsplashy.glade", NULL, NULL);

  /* This is important */

  glade_xml_signal_connect (xml, "on_ThemeList_show", (GCallback) on_ThemeList_show);
  glade_xml_signal_connect (xml, "on_MainWindow_destroy", (GCallback) on_MainWindow_destroy);
  glade_xml_signal_connect (xml, "on_ThemeList_cursor_changed", 
                            (GCallback) on_ThemeList_cursor_changed);
  glade_xml_signal_connect (xml, "on_InstallTheme_released", 
                            (GCallback) on_InstallTheme_released);
  glade_xml_signal_connect (xml, "on_CreateTheme_released", (GCallback) on_CreateTheme_released);
  glade_xml_signal_connect (xml, "on_MainWindow_drag_data_received", 
                            (GCallback) on_MainWindow_drag_data_received);
  glade_xml_signal_connect (xml, "on_CheckbuttonProgressbarBorder_toggled",
                            (GCallback) on_CheckbuttonProgressbarBorder_toggled);
  glade_xml_signal_connect (xml, "on_CheckbuttonTextbox_toggled", 
                            (GCallback) on_CheckbuttonTextbox_toggled);
  glade_xml_signal_connect (xml, "on_CheckbuttonTextboxBorder_toggled", 
                            (GCallback) on_CheckbuttonTextboxBorder_toggled);
  glade_xml_signal_connect (xml, "on_EntryInfoName_changed", 
                            (GCallback) on_EntryInfoName_changed);
  glade_xml_signal_connect (xml, "on_EntryBackgroundHeight_changed", 
                            (GCallback) on_EntryBackgroundHeight_changed);
  glade_xml_signal_connect (xml, "on_EntryBackgroundWidth_changed", 
                            (GCallback) on_EntryBackgroundWidth_changed);
  
  glade_xml_signal_connect (xml, "on_DialogClose_released", (GCallback)on_DialogClose_released);

  MainWindow = glade_xml_get_widget (xml, "MainWindow");
  ThemeList = glade_xml_get_widget (xml, "ThemeList");

  /*
   * Drag'n'Drop
   */
  gtk_drag_dest_set (MainWindow, 
                     GTK_DEST_DEFAULT_MOTION | GTK_DEST_DEFAULT_HIGHLIGHT | GTK_DEST_DEFAULT_DROP,
                     NULL, 0, GDK_ACTION_COPY);
  gtk_drag_dest_add_uri_targets (MainWindow);

  gtk_widget_show_now (MainWindow);
  gtk_widget_show (ThemeList);

  gtk_main ();
  return 0;
}
